Index: /palm/trunk/DOC/tec/message_identifiers
===================================================================
--- /palm/trunk/DOC/tec/message_identifiers	(revision 257)
+++ /palm/trunk/DOC/tec/message_identifiers	(revision 258)
@@ -169,380 +169,417 @@
                        and data_output_user exceeds the limit of 100 
     PA0103            output of "..." requires constant_diffusion = .FALSE.
-    PA0104           output of "..." requires a "particles_par"-NAMELIST 
-                      in the parameter file (PARIN)
-    PA0105           output of "..." requires humidity = .TRUE.
-    PA0106           output of "" requires cloud_physics = .TRUE. or 
-                      cloud_droplets = .TRUE.'
-    PA0107           output of "..." requires cloud_droplets = .TRUE.
-    PA0108           output of "..." requires cloud_physics = .TRUE.
-    PA0109           output of "..." requires ocean = .TRUE.
-    PA0110           output of "..." requires passive_scalar = .TRUE.
-    PA0111           illegal value for data_output: "..." only 
-                      2d-horizontal cross sections are allowed for this value 
-    PA0112           output of "..." requires precipitation = .TRUE.
-    PA0113           temporal averaging of precipitation amount "..." 
-                      is not possible'        
-    PA0114           illegal value for data_output or data_output_user = "..."
-    PA0115           illegal value for data_output = "..."
-    PA0116           z_max_do2d = ', z_max_do2d must be >= ... (zu(nzb+1)) 
-                      and <= ... (zu(nzt))
-    PA0117           do3d_compress = .TRUE. not allowed on host ""
-    PA0118           illegal precision: do3d_comp_prec ( ...) = "..."
-    PA0119           unknown variable "..." given for do3d_comp_prec(...)    
-    PA0120           unknown value for data_output_format "..."
-    PA0121           km_constant = ... < 0.0
-    PA0122           prandtl_number = ... < 0.0
-    PA0123           prandtl_layer is not allowed with fixed value of km
-    PA0124           outflow_damping width out of range
-    PA0125           rif_min = ...  must be less than rif_max = ...
-    PA0126           disturbance_level_b = ... must be >= ... (zu(3))
-    PA0127           disturbance_level_b = ... must be <= ... (zu(nzt-2))
-    PA0128           disturbance_level_t = ... must be <= ... (zu(nzt-2))
-    PA0129           disturbance_level_t = ... must 
-                      be >= disturbance_level_b = ...
-    PA0130           disturbance_level_ind_t =...  must 
-                      be >= disturbance_level_b = ...
-    PA0131           inflow_disturbance_begin out of range
-    PA0132           inflow_disturbance_end out of range
-    PA0133           turbulent_inflow = .T. requires a Dirichlet 
-                      condition at the inflow boundary
-    PA0134           illegal value for recycling_width: ...
-    PA0135           unknown random generator: random_generator = "..."
-    PA0136           damp_level_1d = ...  must be > 0.0 and < ... (zu(nzt+1))
-    PA0137           mixing_length_1d = "..." is unknown
-    PA0138           dissipation_1d = "..." is unknown
-    PA0139           termination_time_needed = ...  must be > 30.0 on host ..."
-    PA0140           termination_time_needed = ... should be >= 300.0 
-                      on host "..."     
-    PA0141           coupling requires PALM to be called with 
-                      ''mrun -K parallel''
-    PA0142           absolute temperature < 0.0 at zu(...) = ...
-    PA0143           k=... j=... i=... ql_c=... part(...)%wf=...  
-                      delta_r=...
-    PA0144           #1 k=... j=... i=... e_s=...  e_a=... t_int=... 
-                      d_radius=... delta_r=... particle_radius=...  
-    PA0145           collision_efficiency out of range: ...
-    PA0146           maximum_number_of_particles needs to be increased 
-                      but this is not allowed with NetCDF output switched on
-    PA0147           maximum_number_of_tails needs to be increased 
-                      but this is not allowed with NetCDF output switched on
-    PA0148           particle too fast.  n = ...
-    PA0149           particle out of range: i=... j=... k=... 
-                      nxl=... nxr=... nys=... nyn=... nzb=... nzt=...
-    PA0150           Both dp_external and conserve_volume_flow are .TRUE. 
-                      but one of them must be .FALSE.
-    PA0151           dp_level_b = ... is out of range
-    PA0152           dp_external is .TRUE. but dpdxy is zero, i.e. the external 
-                      pressure gradient will not be applied
-    PA0153           dpdxy is nonzero but dp_external is .FALSE., i.e. the 
-                      external pressure gradient will not be applied
-    PA0154           unknown conserve_volume_flow_mode: ...
-    PA0155           noncyclic boundary conditions require
-                      conserve_volume_flow_mode = ''inflow_profile''
-    PA0156           cyclic boundary conditions require conserve_volume_flow_mode =
-                      ''initial_profiles'' or ''bulk_velocity''
-                      requires noncyclic boundary conditions
-    PA0157           nonzero bulk velocity requires conserve_volume_flow = .T. and 
-                      conserve_volume_flow_mode = ''bulk_velocity''
-    PA0158           no vertical boundary condition for variable "..." 
-    PA0159           no term for component "..."
-    PA0160           non-cyclic lateral boundaries along x do not allow 
-                      calculation of spectra along x
-    PA0161           sorry, calculation of spectra in non parallel mode is 
-                      still not realized
-    PA0162           non-cyclic lateral boundaries along y do not allow 
-                      calculation of spectra along y
-    PA0163           run will be terminated because it is running out of 
-                      job cpu limit remaining time: ... s 
-                      termination time needed: ... s
-    PA0164           run will be terminated due to user settings of 
-                      restart_time / dt_restart new restart time is: ... s 
-    PA0165           re-open of unit 14 is not verified. Please check results!
-    PA0166           re-opening of file-id ... is not allowed
-    PA0167           opening file-id ... not allowed for PE ...
-    PA0168           opening file-id ... is not allowed since it is used otherwise
-    PA0169           no filename for AVS-data-file found in MRUN-config-file 
-                      filename in FLD-file set to "unknown"
-    PA0170           no path for batch_scp on host "..."  
-    PA0171           NetCDF: no 64-bit offset allowed on this machine
-    PA0172           no OPEN-statement for file-id ...
-    PA0173           wrong component: ...
-    PA0174           wrong argument  expected: ... given: ...
-    PA0175           no time measurement defined on this host
-    PA0176           negative time interval occured 
-                      PE ... L=PAUSE "..." new=...  last=...
-    PA0177           negative time interval occured
-                      PE ... L=STOP "..." new=... last=... isum=...
-    PA0178           negative time interval occured
-                      PE ... L=STOP "..." sum=...  mtime=...
-    PA0179           unknown modus of time measurement: ...
-    PA0180           unknown cross-section: ...
-    PA0181           no output provided for: ...
-    PA0182           no output available for: ...
-    PA0183           if humidity/passive_scalar = FALSE output of ... is not provided
-    PA0184           if cloud_physics = FALSE output of ... is not provided
-    PA0185           data_output_profiles: normalizing cross ... 
-                      is not possible since one of the  normalizing factors is zero! 
-                      cross_normx_factor(...,...) = ... 
-                      cross_normy_factor(...,...) = ...
-    PA0186           no spectra data available
-    PA0187           fft method "..." currently does not work on NEC
-    PA0188           no system-specific fft-call available
-    PA0189           fft method "..." not available
-    PA0190           flow_statistics is called two times within one timestep
-    PA0191           unknown action(s): ...
-    PA0192           timestep has exceeded the lower limit dt_1d = ... s   
-                      simulation stopped!
-    PA0193           unknown initializing problem
-    PA0194           number of time series quantities exceeds its maximum 
-                      of dots_max = ... Please increase dots_max in modules.f90.
-    PA0195           dvrp_username is undefined
-    PA0196           dvrp_output="..." not allowed
-    PA0197           dvrp_file="..." not allowed
-    PA0198           mode_dvrp="..." not allowed
-    PA0199           split of communicator not realized with  MPI1 coupling 
-                      atmosphere-ocean'
-    PA0200           missing dz
-    PA0201           dz=... <= 0.0
-    PA0202           grid anisotropy exceeds threshold given by only local
-                      horizontal reduction of near_wall mixing length l_wall
-                      starting from height level k = ... .
-    PA0203           inconsistent building parameters: bxl=... bxr=... bys=...
-                      byn=... nx=... ny=...
-    PA0204           no street canyon width given
-    PA0205           inconsistent canyon parameters: cxl=... cxr=...
-                      cwx=... ch=... nx=... ny=...
-    PA0206           inconsistent canyon parameters:... cys=... cyn=...
-                      cwy=... ch=... nx=... ny=...
-    PA0207           inconsistent canyon parameters: street canyon can 
-                      only be oriented either in x- or in y-direction
-    PA0208           file TOPOGRAPHY_DATA does not exist
-    PA0209           errors in file TOPOGRAPHY_DATA
-    PA0210           nzb_local values are outside the model domain
-                     MINVAL( nzb_local ) = ...
-                      MAXVAL( nzb_local ) = ...
-    PA0211           nzb_local does not fulfill cyclic boundary condition 
-                      in x-direction
-    PA0212           nzb_local does not fulfill cyclic boundary condition 
-                      in y-direction   
-    PA0213           max_number_of_particle_groups =...
-                      number_of_particle_groups reset to ...
-    PA0214           version mismatch concerning data from prior run 
-                      version on file    = ...
-                      version in program = ...
-    PA0215           particle group # ...  has a density ratio /= 0 
-                      but radius = 0
-    PA0216           number of initial particles (...) exceeds
-                      maximum_number_of_particles (...) on PE ...
-    PA0217           unknown boundary condition bc_par_b = "..." 
-    PA0218           unknown boundary condition bc_par_t = "..."
-    PA0219           unknown boundary condition bc_par_lr = "..."
-    PA0220           unknown boundary condition bc_par_ns = "..."
-    PA0221           number of PEs of the prescribed topology (...) does not match 
-                      the number of PEs available to the job ()
-    PA0222           if the processor topology is prescribed by the user,
-                      both values of "npex" and "npey" must be given
-                      in the NAMELIST-parameter file
-    PA0223           psolver = "poisfft_hybrid" can only be used in case of 
-                      a 1d-decomposition along x
-    PA0224           no matching grid for transpositions found
-    PA0225           x-direction: gridpoint number (...)is not an
-                      integral divisor of the number of procesors (...)
-    PA0226           x-direction: nx does not match the requirements given 
-                      by the number of PEs used
-                      please use nx = ... instead of nx =...
-    PA0227           y-direction: gridpoint number (...) is not an
-                      integral divisor of the number of processors (...)
-    PA0228           y-direction: ny does not match the requirements given 
-                      by the number of PEs used
-                      please use ny = ... instead of ny =...
-    PA0229           1d-decomposition along x chosen but nz restrictions 
-                      may occur since ups-scheme is activated
-    PA0230           transposition z --> x:
-                      nz=... is not an integral divisior of pdims(1)= ...
-    PA0231           transposition x --> y:
-                      nx+1=... is not an integral divisor of pdims(2)= ... 
-    PA0232           transposition y --> z:
-                      ny+1=... is not an integral divisor of pdims(1)=...
-    PA0233           transposition x --> y:
-                      ny+1=... is not an integral divisor of pdims(1)=...
-    PA0234           direct transposition z --> y (needed for spectra):
+    PA0104            output of "..." requires a "particles_par"-NAMELIST 
+                       in the parameter file (PARIN)
+    PA0105            output of "..." requires humidity = .TRUE.
+    PA0106            output of "" requires cloud_physics = .TRUE. or 
+                       cloud_droplets = .TRUE.'
+    PA0107            output of "..." requires cloud_droplets = .TRUE.
+    PA0108            output of "..." requires cloud_physics = .TRUE.
+    PA0109            output of "..." requires ocean = .TRUE.
+    PA0110            output of "..." requires passive_scalar = .TRUE.
+    PA0111            illegal value for data_output: "..." only 
+                       2d-horizontal cross sections are allowed for this value 
+    PA0112            output of "..." requires precipitation = .TRUE.
+    PA0113            temporal averaging of precipitation amount "..." 
+                       is not possible'        
+    PA0114            illegal value for data_output or data_output_user = "..."
+    PA0115            illegal value for data_output = "..."
+    PA0116            z_max_do2d = ', z_max_do2d must be >= ... (zu(nzb+1)) 
+                       and <= ... (zu(nzt))
+    PA0117            do3d_compress = .TRUE. not allowed on host ""
+    PA0118            illegal precision: do3d_comp_prec ( ...) = "..."
+    PA0119            unknown variable "..." given for do3d_comp_prec(...)    
+    PA0120            unknown value for data_output_format "..."
+    PA0121            km_constant = ... < 0.0
+    PA0122            prandtl_number = ... < 0.0
+    PA0123            prandtl_layer is not allowed with fixed value of km
+    PA0124            outflow_damping width out of range
+    PA0125            rif_min = ...  must be less than rif_max = ...
+    PA0126            disturbance_level_b = ... must be >= ... (zu(3))
+    PA0127            disturbance_level_b = ... must be <= ... (zu(nzt-2))
+    PA0128            disturbance_level_t = ... must be <= ... (zu(nzt-2))
+    PA0129            disturbance_level_t = ... must 
+                       be >= disturbance_level_b = ...
+    PA0130            disturbance_level_ind_t =...  must 
+                       be >= disturbance_level_b = ...
+    PA0131            inflow_disturbance_begin out of range
+    PA0132            inflow_disturbance_end out of range
+    PA0133            turbulent_inflow = .T. requires a Dirichlet 
+                       condition at the inflow boundary
+    PA0134            illegal value for recycling_width: ...
+    PA0135            unknown random generator: random_generator = "..."
+    PA0136            damp_level_1d = ...  must be > 0.0 and < ... (zu(nzt+1))
+    PA0137            mixing_length_1d = "..." is unknown
+    PA0138            dissipation_1d = "..." is unknown
+    PA0139            termination_time_needed = ...  must be > 30.0 on host ..."
+    PA0140            termination_time_needed = ... should be >= 300.0 
+                       on host "..."     
+    PA0141            coupling requires PALM to be called with 
+                       ''mrun -K parallel''
+    PA0142            absolute temperature < 0.0 at zu(...) = ...
+    PA0143            k=... j=... i=... ql_c=... part(...)%wf=...  
+                       delta_r=...
+    PA0144            #1 k=... j=... i=... e_s=...  e_a=... t_int=... 
+                       d_radius=... delta_r=... particle_radius=...  
+    PA0145            collision_efficiency out of range: ...
+    PA0146            maximum_number_of_particles needs to be increased 
+                       but this is not allowed with NetCDF output switched on
+    PA0147            maximum_number_of_tails needs to be increased 
+                       but this is not allowed with NetCDF output switched on
+    PA0148            particle too fast.  n = ...
+    PA0149            particle out of range: i=... j=... k=... 
+                       nxl=... nxr=... nys=... nyn=... nzb=... nzt=...
+    PA0150            Both dp_external and conserve_volume_flow are .TRUE. 
+                       but one of them must be .FALSE.
+    PA0151            dp_level_b = ... is out of range
+    PA0152            dp_external is .TRUE. but dpdxy is zero, i.e. the external 
+                       pressure gradient will not be applied
+    PA0153            dpdxy is nonzero but dp_external is .FALSE., i.e. the 
+                       external pressure gradient will not be applied
+    PA0154            unknown conserve_volume_flow_mode: ...
+    PA0155            noncyclic boundary conditions require
+                       conserve_volume_flow_mode = ''inflow_profile''
+    PA0156            cyclic boundary conditions require conserve_volume_flow_mode =
+                       ''initial_profiles'' or ''bulk_velocity''
+                       requires noncyclic boundary conditions
+    PA0157            nonzero bulk velocity requires conserve_volume_flow = .T. and 
+                       conserve_volume_flow_mode = ''bulk_velocity''
+    PA0158            no vertical boundary condition for variable "..." 
+    PA0159            no term for component "..."
+    PA0160            non-cyclic lateral boundaries along x do not allow 
+                       calculation of spectra along x
+    PA0161            sorry, calculation of spectra in non parallel mode is 
+                       still not realized
+    PA0162            non-cyclic lateral boundaries along y do not allow 
+                       calculation of spectra along y
+    PA0163            run will be terminated because it is running out of 
+                       job cpu limit remaining time: ... s 
+                       termination time needed: ... s
+    PA0164            run will be terminated due to user settings of 
+                       restart_time / dt_restart new restart time is: ... s 
+    PA0165            re-open of unit 14 is not verified. Please check results!
+    PA0166            re-opening of file-id ... is not allowed
+    PA0167            opening file-id ... not allowed for PE ...
+    PA0168            opening file-id ... is not allowed since it is used otherwise
+    PA0169            no filename for AVS-data-file found in MRUN-config-file 
+                       filename in FLD-file set to "unknown"
+    PA0170            no path for batch_scp on host "..."  
+    PA0171            NetCDF: no 64-bit offset allowed on this machine
+    PA0172            no OPEN-statement for file-id ...
+    PA0173            wrong component: ...
+    PA0174            wrong argument  expected: ... given: ...
+    PA0175            no time measurement defined on this host
+    PA0176            negative time interval occured 
+                       PE ... L=PAUSE "..." new=...  last=...
+    PA0177            negative time interval occured
+                       PE ... L=STOP "..." new=... last=... isum=...
+    PA0178            negative time interval occured
+                       PE ... L=STOP "..." sum=...  mtime=...
+    PA0179            unknown modus of time measurement: ...
+    PA0180            unknown cross-section: ...
+    PA0181            no output provided for: ...
+    PA0182            no output available for: ...
+    PA0183            if humidity/passive_scalar = FALSE output of ... 
+                       is not provided
+    PA0184            if cloud_physics = FALSE output of ... is not provided
+    PA0185            data_output_profiles: normalizing cross ... 
+                       is not possible since one of the normalizing factors is zero! 
+                       cross_normx_factor(...,...) = ... 
+                       cross_normy_factor(...,...) = ...
+    PA0186            no spectra data available
+    PA0187            fft method "..." currently does not work on NEC
+    PA0188            no system-specific fft-call available
+    PA0189            fft method "..." not available
+    PA0190            flow_statistics is called two times within one timestep
+    PA0191            unknown action(s): ...
+    PA0192            timestep has exceeded the lower limit dt_1d = ... s   
+                       simulation stopped!
+    PA0193            unknown initializing problem
+    PA0194            number of time series quantities exceeds its maximum 
+                       of dots_max = ... Please increase dots_max in modules.f90.
+    PA0195            dvrp_username is undefined
+    PA0196            dvrp_output="..." not allowed
+    PA0197            dvrp_file="..." not allowed
+    PA0198            mode_dvrp="..." not allowed
+    PA0199            split of communicator not realized with  MPI1 coupling 
+                       atmosphere-ocean'
+    PA0200            missing dz
+    PA0201            dz=... <= 0.0
+    PA0202            grid anisotropy exceeds threshold given by only local
+                       horizontal reduction of near_wall mixing length l_wall
+                       starting from height level k = ... .
+    PA0203            inconsistent building parameters: bxl=... bxr=... bys=...
+                       byn=... nx=... ny=...
+    PA0204            no street canyon width given
+    PA0205            inconsistent canyon parameters: cxl=... cxr=...
+                       cwx=... ch=... nx=... ny=...
+    PA0206            inconsistent canyon parameters:... cys=... cyn=...
+                       cwy=... ch=... nx=... ny=...
+    PA0207            inconsistent canyon parameters: street canyon can 
+                       only be oriented either in x- or in y-direction
+    PA0208            file TOPOGRAPHY_DATA does not exist
+    PA0209            errors in file TOPOGRAPHY_DATA
+    PA0210            nzb_local values are outside the model domain
+                      MINVAL( nzb_local ) = ...
+                       MAXVAL( nzb_local ) = ...
+    PA0211            nzb_local does not fulfill cyclic boundary condition 
+                       in x-direction
+    PA0212            nzb_local does not fulfill cyclic boundary condition 
+                       in y-direction   
+    PA0213            max_number_of_particle_groups =...
+                       number_of_particle_groups reset to ...
+    PA0214            version mismatch concerning data from prior run 
+                       version on file    = ...
+                       version in program = ...
+    PA0215            particle group # ...  has a density ratio /= 0 
+                       but radius = 0
+    PA0216            number of initial particles (...) exceeds
+                       maximum_number_of_particles (...) on PE ...
+    PA0217            unknown boundary condition bc_par_b = "..." 
+    PA0218            unknown boundary condition bc_par_t = "..."
+    PA0219            unknown boundary condition bc_par_lr = "..."
+    PA0220            unknown boundary condition bc_par_ns = "..."
+    PA0221            number of PEs of the prescribed topology (...) does not match 
+                       the number of PEs available to the job ()
+    PA0222            if the processor topology is prescribed by the user,
+                       both values of "npex" and "npey" must be given
+                       in the NAMELIST-parameter file
+    PA0223            psolver = "poisfft_hybrid" can only be used in case of 
+                       a 1d-decomposition along x
+    PA0224            no matching grid for transpositions found
+    PA0225            x-direction: gridpoint number (...)is not an
+                       integral divisor of the number of procesors (...)
+    PA0226            x-direction: nx does not match the requirements given 
+                       by the number of PEs used
+                       please use nx = ... instead of nx =...
+    PA0227            y-direction: gridpoint number (...) is not an
+                       integral divisor of the number of processors (...)
+    PA0228            y-direction: ny does not match the requirements given 
+                       by the number of PEs used
+                       please use ny = ... instead of ny =...
+    PA0229            1d-decomposition along x chosen but nz restrictions 
+                       may occur since ups-scheme is activated
+    PA0230            transposition z --> x:
+                       nz=... is not an integral divisior of pdims(1)= ...
+    PA0231            transposition x --> y:
+                       nx+1=... is not an integral divisor of pdims(2)= ... 
+    PA0232            transposition y --> z:
+                       ny+1=... is not an integral divisor of pdims(1)=...
+    PA0233            transposition x --> y:
+                       ny+1=... is not an integral divisor of pdims(1)=...
+    PA0234            direct transposition z --> y (needed for spectra):
                        nz=... is not an integral divisor of pdims(2)=...
-    PA0235           mg_switch_to_pe0_level out of range and reset to default (=0)      
-    PA0236           not enough memory for storing gathered multigrid data on PE0
-    PA0237           multigrid gather/scatter impossible in non parallel mode
-    PA0238           more than 10 multigrid levels
-    PA0239           The value for "topography_grid_convention" is not set. 
-                      Its default value is only valid for 
-                      "topography" = ''single_building'', 
-                      ''single_street_canyon'' or ''read_from_file'' 
-                      Choose ''cell_edge'' or ''cell_center''.
-    PA0240           The value for "topography_grid_convention" is not 
-                      recognized. Choose ''cell_edge'' or ''cell_center''.
-    PA0241           netcdf_precision must contain a "_" 
-                      netcdf_precision(...)="..."
-    PA0242           illegal netcdf precision: netcdf_precision( ...)="..."
-    PA0243           unknown variable in inipar assignment:
-                      netcdf_precision(', i, ')="..."
-    PA0244           no grid defined for variable ...
-    PA0245           NetCDF file for volume data ... from previuos run found,
-                      but this file cannot be extended due to  variable mismatch. 
-                      New file is created instead.
-    PA0246           NetCDF file for volume data ... from previuos run found,
-                      but this file cannot be extended due to mismatch in 
-                      number of vertical grid points (nz_do3d).
-                      New file is created instead.
-    PA0247           NetCDF file for volume data ... from previuos run found,
-                      but this file cannot be extended because the current 
-                      output time is less or equal than the last output time 
-                      on this file. New file is created instead.
-    PA0248           NetCDF file for volume data ... from previous run found.
-                      This file will be extended.
-    PA0249           NetCDF file for cross-sections ... from previuos run found,
-                      but this file cannot be extended due to variable mismatch.
-                      New file is created instead.
-    PA0250           NetCDF file for cross-sections ... from previuos run found,
-                      but this file cannot be extended due to mismatch in 
-                      number of cross sections. New file is created instead.
-    PA0251           NetCDF file for cross-sections ... from previuos run found
-                     but this file cannot be extended due to mismatch in cross
-                      section levels. New file is created instead.
-    PA0252           NetCDF file for cross sections ... from previuos run found,
-                      but this file cannot be extended because the current output time 
-                      is less or equal than the last output time on this file.
-                      New file is created instead.
-    PA0253           NetCDF file for cross-sections ... from previous run found. 
-                      This file will be extended.
-    PA0254           NetCDF file for vertical profiles from previuos run found,
-                      but this file cannot be extended due to variable mismatch.
-                      New file is created instead. 
-    PA0255           NetCDF file for vertical profiles from previuos run found,
-                      but this file cannot be extended because the current 
-                      output time is less or equal than the last output time 
-                      on this file. New file is created instead.
-    PA0256           NetCDF file for vertical profiles from previous run found.
-                      This file will be extended.
-    PA0257           NetCDF file for time series from previuos run found
-                      but this file cannot be extended due tovariable mismatch. 
-                      New file is created instead.
-    PA0258           NetCDF file for time series from previuos run found,
-                      but this file cannot be extended because the current 
-                      output time is less or equal than the last output time 
-                      on this file. New file is created instead.
-    PA0259           NetCDF file for time series from previous run found.
-                      This file will be extended.
-    PA0260           NetCDF file for spectra from previuos run found, 
-                      but this file cannot be extended due to variable mismatch.
-                      New file is created instead.
-    PA0261           NetCDF file for spectra from previuos run found, 
-                      but this file cannot be extended due to mismatch in 
-                      number of vertical levels. New file is created instead. 
-    PA0262           NetCDF file for spectra from previuos run found, 
-                      but this file cannot be extended due to mismatch in 
-                      heights of vertical levels. New file is created instead.
-    PA0263           NetCDF file for spectra from previuos run found, 
-                      but this file cannot be extended because the current 
-                      output time is less or equal than the last output time 
-                      on this file. New file is created instead.
-    PA0264           NetCDF file for spectra from previous run found.
-                      This file will be extended.
-    PA0265           NetCDF file for particles from previuos run found,
-                      but this file cannot be extended because the current 
-                      output time is less or equal than the last output time 
-                      on this file. New file is created instead.
-    PA0266           NetCDF file for particles from previous run found. 
-                      This file will be extended.
-    PA0267           NetCDF file for particle time series from previuos run found,
-                      but this file cannot be extended due to variable mismatch. 
-                      New file is created instead.
-    PA0268           NetCDF file for particle time series from previuos run found, 
-                      but this file cannot be extended because the current 
-                      output time is less or equal than the last output time 
-                      on this file. New file is created instead.
-    PA0269           NetCDF file for particle time series from previous run found.
-                      This file will be extended.
-    PA0270           mode "..." not supported
-    PA0271           errors in \$inipar &or no \$inipar-namelist found (CRAY-machines only)
-    PA0272           no \$inipar-namelist found
-    PA0273           no value or wrong value given for nx: nx=...
-    PA0274           no value or wrong value given for ny: ny=...
-    PA0275           no value or wrong value given for nz: nz=...
-    PA0276           local file ENVPAR not found 
+    PA0235            mg_switch_to_pe0_level out of range and reset to 
+                       default (=0)      
+    PA0236            not enough memory for storing gathered multigrid data on PE0
+    PA0237             multigrid gather/scatter impossible in non parallel mode
+    PA0238            more than 10 multigrid levels
+    PA0239            The value for "topography_grid_convention" is not set. 
+                       Its default value is only valid for 
+                       "topography" = ''single_building'', 
+                       ''single_street_canyon'' or ''read_from_file'' 
+                       Choose ''cell_edge'' or ''cell_center''.
+    PA0240            The value for "topography_grid_convention" is not 
+                       recognized. Choose ''cell_edge'' or ''cell_center''.
+    PA0241            netcdf_precision must contain a "_" 
+                       netcdf_precision(...)="..."
+    PA0242            illegal netcdf precision: netcdf_precision( ...)="..."
+    PA0243            unknown variable in inipar assignment:
+                       netcdf_precision(', i, ')="..."
+    PA0244            no grid defined for variable ...
+    PA0245            NetCDF file for volume data ... from previuos run found,
+                       but this file cannot be extended due to  variable mismatch. 
+                       New file is created instead.
+    PA0246            NetCDF file for volume data ... from previuos run found,
+                       but this file cannot be extended due to mismatch in 
+                       number of vertical grid points (nz_do3d).
+                       New file is created instead.
+    PA0247            NetCDF file for volume data ... from previuos run found,
+                       but this file cannot be extended because the current 
+                       output time is less or equal than the last output time 
+                       on this file. New file is created instead.
+    PA0248            NetCDF file for volume data ... from previous run found.
+                       This file will be extended.
+    PA0249            NetCDF file for cross-sections ... from previuos run found,
+                       but this file cannot be extended due to variable mismatch.
+                       New file is created instead.
+    PA0250            NetCDF file for cross-sections ... from previuos run found,
+                       but this file cannot be extended due to mismatch in 
+                       number of cross sections. New file is created instead.
+    PA0251            NetCDF file for cross-sections ... from previuos run found
+                      but this file cannot be extended due to mismatch in cross
+                       section levels. New file is created instead.
+    PA0252            NetCDF file for cross sections ... from previuos run found,
+                       but this file cannot be extended because the current 
+                       output time is less or equal than the last output time 
+                       on this file.
+                       New file is created instead.
+    PA0253            NetCDF file for cross-sections ... from previous run found. 
+                       This file will be extended.
+    PA0254            NetCDF file for vertical profiles from previuos run found,
+                       but this file cannot be extended due to variable mismatch.
+                       New file is created instead. 
+    PA0255            NetCDF file for vertical profiles from previuos run found,
+                       but this file cannot be extended because the current 
+                       output time is less or equal than the last output time 
+                       on this file. New file is created instead.
+    PA0256            NetCDF file for vertical profiles from previous run found.
+                       This file will be extended.
+    PA0257            NetCDF file for time series from previuos run found
+                       but this file cannot be extended due tovariable mismatch. 
+                       New file is created instead.
+    PA0258            NetCDF file for time series from previuos run found,
+                       but this file cannot be extended because the current 
+                       output time is less or equal than the last output time 
+                       on this file. New file is created instead.
+    PA0259            NetCDF file for time series from previous run found.
+                       This file will be extended.
+    PA0260            NetCDF file for spectra from previuos run found, 
+                       but this file cannot be extended due to variable mismatch.
+                       New file is created instead.
+    PA0261            NetCDF file for spectra from previuos run found, 
+                       but this file cannot be extended due to mismatch in 
+                       number of vertical levels. New file is created instead. 
+    PA0262            NetCDF file for spectra from previuos run found, 
+                       but this file cannot be extended due to mismatch in 
+                       heights of vertical levels. New file is created instead.
+    PA0263            NetCDF file for spectra from previuos run found, 
+                       but this file cannot be extended because the current 
+                       output time is less or equal than the last output time 
+                       on this file. New file is created instead.
+    PA0264            NetCDF file for spectra from previous run found.
+                       This file will be extended.
+    PA0265            NetCDF file for particles from previuos run found,
+                       but this file cannot be extended because the current 
+                       output time is less or equal than the last output time 
+                       on this file. New file is created instead.
+    PA0266            NetCDF file for particles from previous run found. 
+                       This file will be extended.
+    PA0267            NetCDF file for particle time series from previuos run found,
+                       but this file cannot be extended due to variable mismatch. 
+                       New file is created instead.
+    PA0268            NetCDF file for particle time series from previuos run found, 
+                       but this file cannot be extended because the current 
+                       output time is less or equal than the last output time 
+                       on this file. New file is created instead.
+    PA0269            NetCDF file for particle time series from previous run found.
+                       This file will be extended.
+    PA0270            mode "..." not supported
+    PA0271            errors in \$inipar &or no \$inipar-namelist found 
+                       (CRAY-machines only)
+    PA0272            no \$inipar-namelist found
+    PA0273            no value or wrong value given for nx: nx=...
+    PA0274            no value or wrong value given for ny: ny=...
+    PA0275            no value or wrong value given for nz: nz=...
+    PA0276            local file ENVPAR not found 
+                       some variables for steering may not be properly set
+    PA0277            errors in local file ENVPAR 
+                       some variables for steering may not be properly set
+    PA0278            no envpar-NAMELIST found in local file ENVPAR
                       some variables for steering may not be properly set
-    PA0277           errors in local file ENVPAR 
-                      some variables for steering may not be properly set
-    PA0278           no envpar-NAMELIST found in local file ENVPAR
-                      some variables for steering may not be properly set
-    PA0279           wrong component: ...
-    PA0280           Number of OpenMP threads = ...
-    PA0281           running optimized multinode version
-                      switch_per_lpar        = ...
-                      tasks_per_lpar         = ...
-                      tasks_per_logical_node = ...
-    PA0282           parallel environment (MPI) required
-    PA0283           no sufficient convergence within 1000 cycles
-    PA0284           data from subdomain of previous run mapped more 
-                      than 1000 times
-    PA0285           number of PEs or virtual PE-grid changed in restart run
-                      PE ... will read from files ...
-    PA0286           version mismatch concerning data from prior run
-                      version on file    = "..."
-                      version in program = "..."
-    PA0287           problem with index bound nxl on restart file "..."
-                      nxl = ... but it should be = ... from the index bound 
-                      information array
-    PA0288           problem with index bound nxr on restart file "..."
-                      nxr = ... but it should be = ... from the index bound 
-                      information array
-    PA0289           problem with index bound nys on restart file "..."
-                      nys = .. but it should be = ... from the index bound 
-                      information array  
-    PA0290           problem with index bound nyn on restart file "..."
-                      nyn = ... but it should be = ... from the index bound 
-                      information array
-    PA0291           mismatch between actual data and data 
-                      from prior run on PE ...
-                      nzb on file = ... 
-                      nzb         = ...
-    PA0292           mismatch between actual data and data 
-                      from prior run on PE ...
-                      nzt on file = ...
-                      nzt         = ...
-    PA0293           read_3d_binary: spectrum_x 
-                      on restart file ignored because total numbers of 
-                      grid points (nx) do not match
-    PA0294           read_3d_binary: spectrum_y 
-                      on restart file ignored because total numbers of 
-                      grid points (ny) do not match
-    PA0295           unknown field named "..." found in data from 
-                      prior run on PE ...
-    PA0296           version mismatch concerning control variables
-                      version on file    = "..."
-                      version on program = "..."
-    PA0297           numprocs not found in data from prior run on PE ...
-    PA0298           hor_index_bounds not found in data from prior 
-                      run on PE ...
-    PA0299           nz not found in data from prior run on PE ...
-    PA0300           max_pr_user not found in data from prior run on PE ...
-    PA0301           statistic_regions not found in data from prior 
-                      run on PE ...
-    PA0302           unknown variable named "..." found in data from 
-                      prior run on PE ...  
-    PA0303           nz not found in restart data file
-    PA0304           mismatch concerning number of gridpoints along z
-                      nz on file    = "..."
-                      nz from run   = "..."
-    PA0305           max_pr_user not found in restart data file
-    PA0306           number of user profiles on restart data file differs 
-                      from the current run
-                      max_pr_user on file    = "..."
-                      max_pr_user from run   = "..."
-    PA0307           statistic_regions not found in restart data file
-    PA0308           statistic regions on restart data file differ 
-                      from the current run
-                      statistic regions on file    = "..."
-                      statistic regions from run   = "..."
+    PA0279            wrong component: ...
+    PA0280            Number of OpenMP threads = ...
+    PA0281            running optimized multinode version
+                       switch_per_lpar        = ...
+                       tasks_per_lpar         = ...
+                       tasks_per_logical_node = ...
+    PA0282            parallel environment (MPI) required
+    PA0283            no sufficient convergence within 1000 cycles
+    PA0284            data from subdomain of previous run mapped more 
+                       than 1000 times
+    PA0285            number of PEs or virtual PE-grid changed in restart run
+                       PE ... will read from files ...
+    PA0286            version mismatch concerning data from prior run
+                       version on file    = "..."
+                       version in program = "..."
+    PA0287            problem with index bound nxl on restart file "..."
+                       nxl = ... but it should be = ... from the index bound 
+                       information array
+    PA0288            problem with index bound nxr on restart file "..."
+                       nxr = ... but it should be = ... from the index bound 
+                       information array
+    PA0289            problem with index bound nys on restart file "..."
+                       nys = .. but it should be = ... from the index bound 
+                       information array  
+    PA0290            problem with index bound nyn on restart file "..."
+                       nyn = ... but it should be = ... from the index bound 
+                       information array
+    PA0291            mismatch between actual data and data 
+                       from prior run on PE ...
+                       nzb on file = ... 
+                       nzb         = ...
+    PA0292            mismatch between actual data and data 
+                       from prior run on PE ...
+                       nzt on file = ...
+                       nzt         = ...
+    PA0293            read_3d_binary: spectrum_x 
+                       on restart file ignored because total numbers of 
+                       grid points (nx) do not match
+    PA0294            read_3d_binary: spectrum_y 
+                       on restart file ignored because total numbers of 
+                       grid points (ny) do not match
+    PA0295            unknown field named "..." found in data from 
+                       prior run on PE ...
+    PA0296            version mismatch concerning control variables
+                       version on file    = "..."
+                       version on program = "..."
+    PA0297            numprocs not found in data from prior run on PE ...
+    PA0298            hor_index_bounds not found in data from prior 
+                       run on PE ...
+    PA0299            nz not found in data from prior run on PE ...
+    PA0300            max_pr_user not found in data from prior run on PE ...
+    PA0301            statistic_regions not found in data from prior 
+                       run on PE ...
+    PA0302            unknown variable named "..." found in data from 
+                       prior run on PE ...  
+    PA0303            nz not found in restart data file
+    PA0304            mismatch concerning number of gridpoints along z
+                       nz on file    = "..."
+                       nz from run   = "..."
+    PA0305            max_pr_user not found in restart data file
+    PA0306            number of user profiles on restart data file differs 
+                       from the current run
+                       max_pr_user on file    = "..."
+                       max_pr_user from run   = "..."
+    PA0307            statistic_regions not found in restart data file
+    PA0308            statistic regions on restart data file differ 
+                       from the current run
+                       statistic regions on file    = "..."
+                       statistic regions from run   = "..."
                       statistic data may be lost!
-    PA0309           inflow profiles not temporally averaged.
-                      Averaging will be done now using ... samples.  
+    PA0309            inflow profiles not temporally averaged.
+                       Averaging will be done now using ... samples.  
+    PA0310            remote model "..." terminated with 
+                       terminate_coupled_remote = ... 
+                       local model  "..." has terminate_coupled = ...
+    PA0311            number of gridpoints along x or/and y contain illegal  
+                       factors only factors 8,6,5,4,3,2 are allowed
+    PA0312            Time step has reached minimum limit.',        &
+                       dt      = ... s  Simulation is terminated. 
+                       old_dt  = ... s                           
+                       dt_u    = ... s                             
+                       dt_v    = ... s                            
+                       dt_w    = ... s                             
+                       dt_diff = ... s                          
+                       u_max   = ... m/s   k=... j=...  i=...            
+                       v_max   = ... m/s   k=... j=...  i=...            
+                       w_max   = ... m/s   k=... j=...  i=...
     
+
+    UI0001            unknown location "..."
+    UI0002            location "..." is not allowed to be called with 
+                       parameters "i" and "j"
+    UI0003            no output possible for: ...
+    UI0004            unknown mode "..."
+    UI0005            topography "..." not available yet
+    UI0006            unknown topography "..."
+    UI0007            canopy_mode "..." not available yet
+    UI0008            unknown canopy_mode "..."
+    UI0009            the number of user-defined profiles given in 
+                       data_output_pr (...) does not match the one 
+                       found in the restart file (...)
+    UI0010            Spectra of ... can not be calculated
+    UI0011            Spectra of ... are not defined
+    UI0012            unknown variable named "..." found in data from prior 
+                       run on PE
+    
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 257)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 258)
@@ -29,5 +29,7 @@
 init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, 
 netcdf, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, 
-read_var_list)
+read_var_list, surface_coupler, temperton_fft, timestep, user_actions, 
+user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, 
+user_parin, user_read_restart_data, user_spectra )
 
 First constant in array den also defined as type double. (eqn_state_seawater)
@@ -37,5 +39,5 @@
 user_init_grid, user_parin, write_var_list)
 
-advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_spectra,  eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, netcdf, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, write_var_list
+advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_spectra,  eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, netcdf, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
 
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 257)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 258)
@@ -2,7 +2,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of messages replaced by message handling routine.
+!
 !
 ! Former revisions:
@@ -52,16 +53,13 @@
                        0, comm_inter, status, ierr )
     IF ( terminate_coupled_remote > 0 )  THEN
-       IF ( myid == 0 )  THEN
-          PRINT*, '+++ surface_coupler:'
-          PRINT*, '    remote model "', TRIM( coupling_mode_remote ), &
-               '" terminated'
-          PRINT*, '    with terminate_coupled_remote = ', &
-               terminate_coupled_remote
-          PRINT*, '    local model  "', TRIM( coupling_mode ), &
-               '" has'
-          PRINT*, '    terminate_coupled = ', &
-               terminate_coupled
-       ENDIF
-       CALL local_stop
+       WRITE( message_string, * ) 'remote model "', TRIM( coupling_mode_remote ), &
+                                  '" terminated',                                 &
+                                  '&with terminate_coupled_remote = ',            &
+                                  terminate_coupled_remote,                       &
+                                  '&local model  "', TRIM( coupling_mode ),       &
+                                  '" has',                                        &
+                                  '&terminate_coupled = ',                        &
+                                  terminate_coupled
+       CALL message( 'surface_coupler', 'PA0310', 1, 2, 0, 6, 0 )
        RETURN
     ENDIF
Index: /palm/trunk/SOURCE/temperton_fft.f90
===================================================================
--- /palm/trunk/SOURCE/temperton_fft.f90	(revision 257)
+++ /palm/trunk/SOURCE/temperton_fft.f90	(revision 258)
@@ -2,7 +2,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of messages replaced by message handling routine.
+!
 !
 ! Former revisions:
@@ -1884,4 +1885,5 @@
 
 
+    USE control_parameters
     USE pegrid
 
@@ -1945,12 +1947,8 @@
 
 !    WRITE (nout,'(A,I4,A)') ' n =',n,' - Contains illegal factors'
-    IF ( myid == 0 )  THEN
-       PRINT*, '+++ temperton_fft:'
-       PRINT*, '    number of gridpoints along x or/and y contain illegal ', &
-                    'factors'
-       PRINT*, '    only factors 8,6,5,4,3,2 are allowed'
-    ENDIF
-    CALL local_stop
-
+    message_string = 'number of gridpoints along x or/and y ' // &
+                     'contain illegal  factors' //               &
+                     '&only factors 8,6,5,4,3,2 are allowed' 
+    CALL message( 'temperton_fft', 'PA0311', 1, 2, 0, 6, 0 )
 
     RETURN
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 257)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 258)
@@ -2,7 +2,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of messages replaced by message handling routine.
+!
 !
 ! Former revisions:
@@ -201,19 +202,18 @@
           stop_dt = .TRUE.
 
-          IF ( myid == 0 )  THEN
-             PRINT*,'+++ time_step: Time step has reached minimum limit.'
-             PRINT*,'    dt      = ', dt_3d, ' s   Simulation is terminated.'
-             PRINT*,'    old_dt  = ', old_dt, ' s'
-             PRINT*,'    dt_u    = ', dt_u, ' s'
-             PRINT*,'    dt_v    = ', dt_v, ' s'
-             PRINT*,'    dt_w    = ', dt_w, ' s'
-             PRINT*,'    dt_diff = ', dt_diff, ' s'
-             PRINT*,'    u_max   = ', u_max, ' m/s   k=', u_max_ijk(1), &
-                    '  j=', u_max_ijk(2), '  i=', u_max_ijk(3)
-             PRINT*,'    v_max   = ', v_max, ' m/s   k=', v_max_ijk(1), &
-                    '  j=', v_max_ijk(2), '  i=', v_max_ijk(3)
-             PRINT*,'    w_max   = ', w_max, ' m/s   k=', w_max_ijk(1), &
-                    '  j=', w_max_ijk(2), '  i=', w_max_ijk(3)
-          ENDIF
+          WRITE( message_string, * ) 'Time step has reached minimum limit.',        &
+                             '&dt      = ', dt_3d, ' s  Simulation is terminated.', &
+                             '&old_dt  = ', old_dt, ' s',                           &
+                             '&dt_u    = ', dt_u, ' s',                             &
+                             '&dt_v    = ', dt_v, ' s',                             &
+                             '&dt_w    = ', dt_w, ' s',                             &
+                             '&dt_diff = ', dt_diff, ' s',                          &
+                             '&u_max   = ', u_max, ' m/s   k=', u_max_ijk(1),       &
+                             '  j=', u_max_ijk(2), '  i=', u_max_ijk(3),            &
+                             '&v_max   = ', v_max, ' m/s   k=', v_max_ijk(1),       &
+                             '  j=', v_max_ijk(2), '  i=', v_max_ijk(3),            &
+                             '&w_max   = ', w_max, ' m/s   k=', w_max_ijk(1),       &
+                             '  j=', w_max_ijk(2), '  i=', w_max_ijk(3)
+          CALL message( 'timestep', 'PA0312', 0, 1, 0, 6, 0 )
 !
 !--       In case of coupled runs inform the remote model of the termination 
Index: /palm/trunk/SOURCE/user_actions.f90
===================================================================
--- /palm/trunk/SOURCE/user_actions.f90	(revision 257)
+++ /palm/trunk/SOURCE/user_actions.f90	(revision 258)
@@ -2,7 +2,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of messages replaced by message handling routine.
+!
 !
 ! Former revisions:
@@ -113,7 +114,6 @@
 
           CASE DEFAULT
-             IF ( myid == 0 )  PRINT*, '+++ user_actions: unknown location "', &
-                                       location, '"'
-             CALL local_stop
+             message_string = 'unknown location "' // location // '"'
+             CALL message( 'user_actions', 'UI0001', 1, 2, 0, 6, 0 )
 
        END SELECT
@@ -168,16 +168,13 @@
 
           CASE ( 'before_timestep', 'after_integration', 'after_timestep' )
-             IF ( myid == 0 )  THEN
-                PRINT*, '+++ user_actions: location "', location, '" is not ', &
+             message_string = 'location "' // location // '" is not ' // &
                              'allowed to be called with parameters "i" and "j"'
-             ENDIF
-             CALL local_stop
+             CALL message( 'user_actions', 'UI0002', 1, 2, 0, 6, 0 )
 
 
           CASE DEFAULT
-             IF ( myid == 0 )  PRINT*, '+++ user_actions: unknown location "', &
-                                       location, '"'
-             CALL local_stop
-
+             message_string = 'unknown location "' // location // '"'
+             CALL message( 'user_actions', 'UI0001', 1, 2, 0, 6, 0 )
+             
 
        END SELECT
Index: /palm/trunk/SOURCE/user_data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 257)
+++ /palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 258)
@@ -2,6 +2,7 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
+! Output of messages replaced by message handling routine.
 ! Clipping implemented
 !
@@ -58,8 +59,8 @@
 !--       wrong character string that is neither recognized in data_output_dvrp
 !--       nor here in user_data_output_dvrp.
-          IF ( myid == 0 )  THEN
-             PRINT*,'+++ (user_)data_output_dvrp: no output possible for: ', &
-                  output_variable
-          ENDIF
+          WRITE( message_string, * ) 'no output possible for: ', &
+                                     output_variable
+          CALL message( 'user_data_output_dvrp', 'UI0003', 0, 0, 0, 6, 0 )
+          
 
     END SELECT
Index: /palm/trunk/SOURCE/user_dvrp_coltab.f90
===================================================================
--- /palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 257)
+++ /palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 258)
@@ -2,7 +2,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of messages replaced by message handling routine.
+!
 !
 ! Former revisions:
@@ -17,5 +18,6 @@
 ! Definition of the colour table to be used by the dvrp software.
 !------------------------------------------------------------------------------!
-
+    
+    USE control_parameters
     USE dvrp_variables
     USE pegrid
@@ -37,7 +39,7 @@
 
        CASE DEFAULT
-          IF ( myid == 0 )  PRINT*, '+++ user_dvrp_coltab: unknown mode "', &
-                                    mode, '"'
-          CALL local_stop
+          message_string = 'unknown mode "' // mode // '"'
+          CALL message( 'user_dvrp_coltab', 'UI0004', 1, 2, 0, 6, 0 )
+
 
     END SELECT
Index: /palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_grid.f90	(revision 257)
+++ /palm/trunk/SOURCE/user_init_grid.f90	(revision 258)
@@ -2,6 +2,7 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
+! Output of messages replaced by message handling routine.
 ! add 'single_street_canyon' as standard topography case
 ! -topography_grid_convention
@@ -48,7 +49,6 @@
 !--       Here the user can define his own topography.
 !--       After definition, please remove the following three lines!
-          PRINT*, '+++ user_init_grid: topography "', &
-               topography, '" not available yet'
-          CALL local_stop
+          message_string = 'topography "' // topography // '" not available yet'
+          CALL message( 'user_init_grid', 'UI0005', 1, 2, 0, 6, 0 )
 
        CASE DEFAULT
@@ -57,7 +57,6 @@
 !--       wrong character string that is neither recognized in init_grid nor 
 !--       here in user_init_grid.
-          PRINT*, '+++ (user_)init_grid: unknown topography "', &
-               topography, '"'
-          CALL local_stop
+          message_string = 'unknown topography "' // topography // '"'
+          CALL message( 'user_init_grid', 'UI0006', 1, 2, 0, 6, 0 )
 
     END SELECT
Index: /palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 257)
+++ /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 258)
@@ -2,7 +2,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of messages replaced by message handling routine.
+!
 !
 ! Former revisions:
@@ -59,7 +60,7 @@
 !--       After definition, please
 !--       remove the following three lines!
-          PRINT*, '+++ user_init_plant_canopy: canopy_mode "', &
-               canopy_mode, '" not available yet'
-
+          message_string = 'canopy_mode "' // canopy_mode // '" not available yet'
+          CALL message( 'user_init_plant_canopy', 'UI0007', 0, 1, 0, 6, 0 )
+          
        CASE DEFAULT
 !
@@ -67,7 +68,6 @@
 !--       wrong character string that is neither recognized in init_3d_model nor 
 !--       here in user_init_plant_canopy.
-          PRINT*, '+++ user_init_plant_canopy: unknown canopy_mode "', &
-               canopy_mode, '"'
-          CALL local_stop
+          message_string = 'unknown canopy_mode "' // canopy_mode // '"'
+          CALL message( 'user_init_plant_canopy', 'UI0008', 1, 2, 0, 6, 0 )
 
     END SELECT
Index: /palm/trunk/SOURCE/user_parin.f90
===================================================================
--- /palm/trunk/SOURCE/user_parin.f90	(revision 257)
+++ /palm/trunk/SOURCE/user_parin.f90	(revision 258)
@@ -2,6 +2,7 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
+! Output of messages replaced by message handling routine.
 ! topography_grid_convention moved to inipar
 !
@@ -74,10 +75,10 @@
     IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
        IF ( max_pr_user /= max_pr_user_tmp )  THEN
-          PRINT*, '+++ user_parin: the number of user-defined profiles given in'
-          PRINT*, '                data_output_pr (', max_pr_user_tmp, ' doe', &
-                                   's not match the one'
-          PRINT*, '                found in the restart file (', max_pr_user, &
-                                   ')'
-          CALL local_stop
+          WRITE( message_string, * ) 'the number of user-defined profiles given in ', &
+                                     '&data_output_pr (', max_pr_user_tmp, ') doe',    &
+                                     'snot match the one ',                           &
+                                     '&found in the restart file (', max_pr_user,     &
+                                     ')'
+          CALL message( 'user_parin', 'UI0009', 1, 2, 0, 6, 0 )
        ENDIF
     ELSE
Index: /palm/trunk/SOURCE/user_read_restart_data.f90
===================================================================
--- /palm/trunk/SOURCE/user_read_restart_data.f90	(revision 257)
+++ /palm/trunk/SOURCE/user_read_restart_data.f90	(revision 258)
@@ -5,7 +5,8 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of messages replaced by message handling routine.
+!
 !
 ! Former revisions:
@@ -81,8 +82,8 @@
 !
 !                CASE DEFAULT
-!                   PRINT*, '+++ user_init: unknown variable named "', &
-!                           TRIM( field_char ), '" found in'
-!                   PRINT*, '               data from prior run on PE ', myid
-!                   CALL local_stop
+!                   WRITE( message_string, * ) 'unknown variable named "',        &
+!                                               TRIM( field_char ), '" found in', &
+!                                              '&data from prior run on PE ', myid
+!                   CALL message( 'user_spectra', 'UI0012', 1, 2, 0, 6, 0 )
 !
 !             END SELECT
Index: /palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/user_spectra.f90	(revision 257)
+++ /palm/trunk/SOURCE/user_spectra.f90	(revision 258)
@@ -2,7 +2,7 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Output of messages replaced by message handling routine. 
 !
 ! Former revisions:
@@ -21,4 +21,5 @@
 
     USE arrays_3d
+    USE control_parameters
     USE indices
     USE spectrum
@@ -52,7 +53,8 @@
        
           CASE DEFAULT
-             PRINT*, '+++ user_spectra/preprocess: Spectra of ', &
-                  TRIM( data_output_sp(m) ), ' can not be calculated'
-          
+             message_string = 'Spectra of ' // &
+                              TRIM( data_output_sp(m) ) // ' can not be calculated'
+             CALL message( 'user_spectra', 'UI0010', 0, 0, 0, 6, 0 )
+            
        END SELECT
 
@@ -69,7 +71,8 @@
 
           CASE DEFAULT
-             PRINT*, '+++ user_spectra/data_output: Spectra of ', &
-                          TRIM( data_output_sp(m) ), ' are not defined'
-
+             message_string = 'Spectra of ' //  &
+                              TRIM( data_output_sp(m) ) // ' are not defined'
+             CALL message( 'user_spectra', 'UI0011', 0, 0, 0, 6, 0 )
+             
           END SELECT
 
